#!/bin/bash
source ./constantes.sh &&
source ./fonctions.sh &&

# Partie numero 1 : telechargement et installation des logiciels

# Prealable : avoir copie les scripts sur la racine du compte root 

cd $ROOT &&

# Synchronisation de la liste des paquets de la machine locale

apt-get update &&
apt-get -y upgrade &&
apt-get -y dist-upgrade &&

# debconf en mode silencieux

export DEBIAN_FRONTEND="noninteractive" &&
export DEBIAN_PRIORITY="critical" &&

# paquets binaires telecharges et installes 

apt-get -y install ntpdate numlockx lightdm libnss-ldap libpam-mount cifs-utils  && 

# debconf remis dans sa configuration initiale (mode "verbeux")

export DEBIAN_FRONTEND="dialog" &&
export DEBIAN_PRIORITY="high" &&

apt-get clean &&
apt-get -y autoremove --purge &&

# Partie nunmero 2 : "integration" dans un domaine controle par un serveur Eole SCRIBE 

# Jonction au serveur ldap du serveur SCRIBE

move /etc/ldap ldap.conf &&  
sed -i -e "s/arg1/$ip_scribe/" /etc/ldap/ldap.conf &&
move /etc/security group.conf && 
move /etc libnss-ldap.conf &&
sed -i -e "s/arg1/$ip_scribe:389/" /etc/libnss-ldap.conf &&
move /etc pam_ldap.conf &&
sed -i -e "s/arg1/$ip_scribe:389/" /etc/pam_ldap.conf &&
move /etc nsswitch.conf && 
move /etc/pam.d common-password &&   
move /etc/pam.d common-session &&
move /etc/security pam_mount.conf.xml &&  
sed -i -e "s/arg1/$ip_scribe/g" /etc/security/pam_mount.conf.xml &&

# /etc/profile --> français encode en UTF8

move /etc profile && 

# Ne pas creer les dossiers par defaut dans home

move /etc/xdg user-dirs.conf &&
move /etc/xdg user-dirs.defaults &&

# Parametrage de lighdm : activer numlockx + logon et logoff 

move /etc/lightdm lightdm.conf && 
##move /etc/lightdm logonscript.sh && 
move /etc/lightdm logoffscript.sh && 

# Cache : correspondance entre uid/gid et noms des utilisateurs/groupes

service nscd restart &&

# Parametrage du proxy http squid pour tout le systeme

# (1) Parametrage du proxy pour MATE

# /usr/share/glib-2.0/schemas/scribe.gschema.override

move /usr/share/glib-2.0/schemas scribe.gschema.override &&
sed -i -e "s/arg2/$ip_proxy/g" /usr/share/glib-2.0/schemas/scribe.gschema.override &&
sed -i -e "s/arg3/$port_proxy/g" /usr/share/glib-2.0/schemas/scribe.gschema.override &&

# Prise en compte des modifications apportees

glib-compile-schemas /usr/share/glib-2.0/schemas &&

# (2) Parametrage du proxy pour le systeme Debian

move /etc environment && 
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" /etc/environment &&

# (3) Parametrage du proxy pour apt

move /etc/apt/apt.conf.d 20proxy &&
sed -i -e "s/arg1/$ip_proxy:$port_proxy/g" /etc/apt/apt.conf.d/20proxy &&

# prendre lightdm comme gestionnaire de connexion par défaut

dpkg-reconfigure lightdm &&

# Synchronisation du client avec le serveur de temps

ntpdate $ip_scribe 
